%define name cantus
%define version 1.05
%define release 1mdk
%define summary A GUI tool to rename and tag mp3 and ogg/vorbis files

Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL 
URL:  http://software.manicsadness.com/?project=1
Group: Sound
Source0: %{name}-%{version}-1.tar.bz2
Source1: %{name}-48x48.png
Source2:      %{name}-32x32.png
Source3:      %{name}-16x16.png 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnome-devel >= 1.2.8 
BuildRequires: libvorbis-devel
BuildRequires: autoconf2.5
Obsoletes:  gmp3
Provides:   gmp3
 
%description
cantus, formerly gmp3, is a suite to rename and tag mp3 and ogg/vorbis files.
It is free software, and distributed under the terms of the GPL.
It was written by sam (Samuel Abels, sam@manicsadness.com) and
implemented in C using the GTK.

Features:

- define rules for renaming, which you can proceed on a list of files
- mass renaming/tagging of mp3s
- define rules to apply on a queue of mp3files
- dynamically tagging is implemented, that means, you can generate a
  tag out of the filename and/or directory name
- renaming of files through freedb
- a LOT more

%prep
%setup -q -n %name-%version

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="Multimedia/Sound"\
title="Cantus"\
longtitle="A GUI tool to rename and tag mp3 and ogg/vorbis files."\
command="cantus"\
icon="%{name}.png"
EOF

mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}} 
cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

rm -rf %buildroot/%_prefix/doc 
%post
%{update_menus}

%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc INSTALL COPYING  
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/pixmaps/%{name}/*
%_datadir/gnome/apps/Applications/cantus.desktop


%changelog
* Thu Feb 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.05-1mdk
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.04-2mdk
- rebuild

* Sun Dec  1 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.04-1mdk
- add missing files, remove unneeded ones
- new version

* Fri Oct 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.03-0.pre1.1mdk
- add a provides for the old name to please rpmlint
- update from Charles A Edwards <eslrahc@bellsouth.net>
 - name change
 - 1.03.1
 - URL
 - added obsolete for gmp3 {old name)

* Thu Sep 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0-0.pre4.1mdk
- initial package based on spec from Charles A Edwards <eslrahc@bellsouth.net>
- adapt buildrequires, version scheme

* Wed Sep 11 2002 Charles A Edwards <eslrahc@bellsouth.net>  
- First Mandrake package
- Modified oher spec
- Use autoconf-2.5
- Add Mandrake menu entries
- Add Icons
 
